document.ready = function(callback) {
	///兼容FF,Google
	if(document.addEventListener) {
		document.addEventListener('DOMContentLoaded', function() {
			document.removeEventListener('DOMContentLoaded', arguments.callee, false);
			callback();
		}, false)
	}
	//兼容IE
	else if(document.attachEvent) {
		document.attachEvent('onreadytstatechange', function() {
			if(document.readyState == "complete") {
				document.detachEvent("onreadystatechange", arguments.callee);
				callback();
			}
		})
	} else if(document.lastChild == document.body) {
		callback();
	}
};

var ldrkUtil = {};
(function() {

	ldrkUtil.init = function() {

	};
	ldrkUtil.debug = function(obj) {
		var isDebug = true;
		if(!isDebug) return false;
		var type = typeof obj;
		var msg = "debug::";
		switch(type) {
			case "object":
				msg += JSON.stringify(obj)
				break;
			default:
				msg += obj;
				break;
		}
		console.log(msg);
	};
	ldrkUtil.isChinese = function(val) {
		reg = /^[\u2E80-\u9FFF]+$/g;
		return reg.test(val);
	};
	ldrkUtil.readFile = function(file, func) {
		var reader = new FileReader();
		reader.readAsDataURL(file);
		reader.onload = function(e) {
			var res = this.result;
			func.call(null, res)
		}
	};
	ldrkUtil.storageItem = function(name, val) {
		if(val)
			localStorage.setItem(name, val);
		else
			return localStorage.getItem(name);
	};
	ldrkUtil.removeItem = function(name) {
		localStorage.removeItem(name);
	};
	ldrkUtil.getApi = function(apinum) {
		var api = 'api_' + apinum;
		return ldrkApi.apiDomain + ldrkApi[api]['uri'];
	};
	ldrkUtil.checkSession = function() {
		var sessionId = ldrkUtil.storageItem('sessionId');
		ldrkUtil.debug(sessionId);
		if(!sessionId) {
			ldrkUtil.alert('请先登录！', function() {
				window.location.href = "../home.html";
			});
		}
	};
	/**
	 * 公用ajax提交参数说明
	 */
	ldrkUtil.commAjax_params = {
		apiIdx: 'api索引号',
		data: '请求参数',
		callback: '回调函数',
	};
	/**
	 * 功能：公用ajax提交
	 * @param {Object} params
	 */
	ldrkUtil.commAjax = function(params) {
		var _url = ldrkUtil.getApi(params['apiIdx']);
		ldrkUtil.debug("请求API：" + params['apiIdx']);
		ldrkUtil.debug("数据参数：" + JSON.stringify(params['data']));
		ldrkUtil.debug("完整URL：" + _url + "?data=" + JSON.stringify(params['data']));
		var toast = ldrkUtil.toast();
		$.ajax({
			type: "get",
			url: _url,
			data: {
				data: JSON.stringify(params['data'])
			},
			async: true,
			success: function(res) {
				ldrkUtil.debug("返回结果：" + JSON.stringify(res));
				if(typeof params['callback'] == "function") {
					params['callback'].call(null, res);
				}
				toast.remove();
			},
			error: function(xhr, errorType, error) {
				toast.remove();
				ldrkUtil.alert('错误类型:' + errorType + "<br/>错误信息:" + error);
				ldrkUtil.debug(xhr);
				ldrkUtil.debug('errorType:' + errorType + " -- error:" + error);
			}
		});
	};
	/**
	 * 功能：初始化选择控件
	 * @param {Object} params
	 */
	ldrkUtil.initSelect = function(params) {
		var elemId = params['elemId'],
			res = params['res'],
			defOption = params['defOption'],
			opName = params['opName'],
			opValue = params['opValue'];
		var $select = $('#' + elemId).empty();
		var tempOption = '';
		if(defOption) {
			tempOption += '<option value="">--' + defOption + '--</option>';
		}
		for(var i = 0; i < res.length; i++) {
			var item = res[i];
			tempOption += '<option value="' + item[opValue] + '">' + item[opName] + '</option>';
		}
		$select.append(tempOption);
	};
	/**
	 * 获取字典数据
	 * @param {Object} dict_code
	 * @param {Object} elemId
	 * @param {Object} defOption
	 */
	ldrkUtil.getDictByCode = function(dict_code, elemId, defOption) {
		var postParams = {
			apiIdx: 17,
			data: {
				dict_code: dict_code
			},
			callback: function(res) {
				var data = {
					"elemId": elemId,
					"res": res.data,
					'defOption': defOption,
					'opName': 'display_name',
					'opValue': 'fact_value'
				}
				ldrkUtil.initSelect(data);
			}
		};
		ldrkUtil.commAjax(postParams);
	};
	/**
	 * 功能：weui样式弹框
	 * @param {Object} alert_body
	 * @param {Object} callback
	 */
	ldrkUtil.alert = function(alert_body, callback) {
		var strArr = [
			'<div class="weui_dialog_alert">',
			'<div class="weui_mask"></div>',
			'<div class="weui_dialog">',
			'<div class="weui_dialog_hd">',
			'<strong class="weui_dialog_title">提示</strong>',
			'</div>',
			'<div class="weui_dialog_bd">' + alert_body + '</div>',
			'<div class="weui_dialog_ft">',
			'<a href="javascript:;" class="weui_btn_dialog primary">确定</a>',
			'</div>',
			'</div>',
			'</div>'
		];
		$('body').append(strArr.join('')).show();
		$('.weui_btn_dialog.primary').click(function() {
			$('.weui_dialog_alert').remove();
			if(typeof callback == "function") {
				callback.call();
			}
		});
	};
	ldrkUtil.confirm = function(confirm_body, callback) {
			var strArr = [
				'<div class="weui_dialog_confirm">',
				'<div class="weui_mask"></div>',
				'<div class="weui_dialog">',
				'<div class="weui_dialog_hd">',
				'<strong class="weui_dialog_title">提示</strong>',
				'</div>',
				'<div class="weui_dialog_bd">' + confirm_body + '</div>',
				'<div class="weui_dialog_ft">',
				'<a href="javascript:;" class="weui_btn_dialog default">取消</a>',
				'<a href="javascript:;" class="weui_btn_dialog primary">确定</a>',
				'</div>',
				'</div>',
				'</div>'
			];
			$('body').append(strArr.join('')).show();
			$('.weui_btn_dialog.default').click(function() {
				$('.weui_dialog_confirm').remove();
			});
			$('.weui_btn_dialog.primary').click(function() {
				$('.weui_dialog_confirm').remove();
				if(typeof callback == "function") {
					callback.call();
				}
			});
		}
		/**
		 * 功能：weui样式自动消失状态消息
		 * @param {Object} toast_body
		 */
	ldrkUtil.toast = function(toast_body) {
		toast_body = toast_body || '数据加载中';
		var strArr = [
			'<div id="loadingToast" class="weui_loading_toast" style="display:none;">',
			'<div class="weui_mask_transparent"></div>',
			'<div class="weui_toast">',
			'<div class="weui_loading">',
			'<div class="weui_loading_leaf weui_loading_leaf_0"></div>',
			'<div class="weui_loading_leaf weui_loading_leaf_1"></div>',
			'<div class="weui_loading_leaf weui_loading_leaf_2"></div>',
			'<div class="weui_loading_leaf weui_loading_leaf_3"></div>',
			'<div class="weui_loading_leaf weui_loading_leaf_4"></div>',
			'<div class="weui_loading_leaf weui_loading_leaf_5"></div>',
			'<div class="weui_loading_leaf weui_loading_leaf_6"></div>',
			'<div class="weui_loading_leaf weui_loading_leaf_7"></div>',
			'<div class="weui_loading_leaf weui_loading_leaf_8"></div>',
			'<div class="weui_loading_leaf weui_loading_leaf_9"></div>',
			'<div class="weui_loading_leaf weui_loading_leaf_10"></div>',
			'<div class="weui_loading_leaf weui_loading_leaf_11"></div>',
			'</div>',
			'<p class="weui_toast_content">' + toast_body + '</p>',
			'</div>',
			'</div>'
		];
		$('body').append(strArr.join(''));
		var toast = $('#loadingToast').show();
		return toast;
	};
	ldrkUtil.getUrlParam = function(name) {
		var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)"); //构造一个含有目标参数的正则表达式对象
		ldrkUtil.debug(location.href)
		var params = location.href.split("?")[1];
		var r = params == null ? null : params.match(reg); //匹配目标参数
		if(r != null) return unescape(r[2]);
		return ""; //返回参数值
	};

})();
document.ready(function() {
	ldrkUtil.init();
});

/**
 * 流动人口管理信息系统接口及说明
 */
var ldrkApi = {
	apiDomain: 'http://www.gzldrk.com:9080/ldrk/',
	api_1: {
		desc: '企业信息申报(功能：登记企业基本信息)',
		uri: 'ldrksystem/qyxxsb_wwyddjk.action',
	},
	api_2: {
		desc: '企业信息修改(功能：修改企业基本信息)',
		uri: 'ldrksystem/qyxxxg_wwyddjk.action',
	},
	api_3: {
		desc: '企业端登陆(功能：登录服务系统,返回登录会话ID)',
		uri: 'ldrksystem/qyddl_wwyddjk.action',
	},
	api_4: {
		desc: '企业信息详情(功能：返回采集点详情信息)',
		uri: 'ldrksystem/qyxxxq_wwyddjk.action',
	},
	api_5: {
		desc: '企业申报进度查询(功能：返回采集点申报状态信息)',
		uri: 'ldrksystem/qysbjdcx_wwyddjk.action',
	},
	api_6: {
		desc: '企业受理号找回(功能：返回采集点受理号)',
		uri: 'ldrksystem/qyslhzh_wwyddjk.action',
	},
	api_7: {
		desc: '流动人口信息详情(功能：返回流动人口详情信息)',
		uri: 'ldrksystem/ldrkxxxq_wwyddjk.action',
	},
	api_8: {
		desc: '企业端流动人口信息多条查询(功能：返回流动人口列表)',
		uri: 'ldrksystem/qydldrklist_wwyddjk.action',
	},
	api_9: {
		desc: '居住证信息详情(功能：返回单条流动人口详情信息)',
		uri: 'ldrksystem/jzzxxxq_wwyddjk.action',
	},
	api_10: {
		desc: '企业端居住证信息多条查询(功能：返回流动人口列表)',
		uri: 'ldrksystem/qydjzzxxlist_wwyddjk.action',
	},
	api_11: {
		desc: '流动人口基本信息登记(功能：登记流动人口信息)',
		uri: 'ldrksystem/ldrkjbxxdj_wwyddjk.action',
	},
	api_12: {
		desc: '流动人口信息修改(功能：修改流动人口基本信息)',
		uri: 'ldrksystem/ldrkxxxg_wwyddjk.action',
	},
	api_13: {
		desc: '居住证初领(功能：申领居住证)',
		uri: 'ldrksystem/jzzcl_wwyddjk.action',
	},
	api_14: {
		desc: '居住证修改(功能：申领居住证)',
		uri: 'ldrksystem/jzzxg_wwyddjk.action',
	},
	api_15: {
		desc: '个人流动人口信息申报进度查询(功能：返回单条流动人口信息)',
		uri: 'ldrksystem/ldrkjbxxjdcx_wwyddjk.action',
	},
	api_16: {
		desc: '个人居住证申报进度查询(功能：返回单条居住证申报信息)',
		uri: 'ldrksystem/grjzzsbjdcx_wwyddjk.action',
	},
	api_17: {
		desc: '字典项目查询(功能：返回字典项信息)',
		uri: 'ldrksystem/dictitem_wwyddjk.action',
	},
	api_18: {
		desc: '机构查询(功能：返回机构信息)',
		uri: 'ldrksystem/department_wwyddjk.action',
	},
	api_19: {
		desc: '获取照片(功能：流动人口照片)',
		uri: 'ldrksystem/queryZp_wwldrkjbxx.action',
	},
	api_20: {
		desc: '附件电子材料下载(功能：下载电子材料)',
		uri: 'ldrksystem/wwldrkfjfileLoadyw_wwldrkjbxx.action',
	}
};

Date.prototype.Format = function(formatStr) {
	var str = formatStr;
	var Week = ['日', '一', '二', '三', '四', '五', '六'];
	var month = this.getMonth() + 1;
	str = str.replace(/yyyy|YYYY/, this.getFullYear());
	str = str.replace(/yy|YY/, (this.getYear() % 100) > 9 ? (this.getYear() % 100).toString() : '0' + (this.getYear() % 100));
	str = str.replace(/MM/, month > 9 ? month.toString() : '0' + month);
	str = str.replace(/M/g, month);
	str = str.replace(/w|W/g, Week[this.getDay()]);
	str = str.replace(/dd|DD/, this.getDate() > 9 ? this.getDate().toString() : '0' + this.getDate());
	str = str.replace(/d|D/g, this.getDate());
	str = str.replace(/hh|HH/, this.getHours() > 9 ? this.getHours().toString() : '0' + this.getHours());
	str = str.replace(/h|H/g, this.getHours());
	str = str.replace(/mm/, this.getMinutes() > 9 ? this.getMinutes().toString() : '0' + this.getMinutes());
	str = str.replace(/m/g, this.getMinutes());
	str = str.replace(/ss|SS/, this.getSeconds() > 9 ? this.getSeconds().toString() : '0' + this.getSeconds());
	str = str.replace(/s|S/g, this.getSeconds());
	return str;
}