/**
 * appUpdate
 * 1、查询是否有新版本更新
 * 2、下载新版本
 * 3、安装新版本
 */
var appUpdate = {
	/**
	 *初始化 
	 */
	init: function(callback) {
		appUpdate.xhrUpdate(callback);
	},
	appServer: 'http://222.85.150.180/ldrksystem/',
	updateServer: function() {
		return appUpdate.appServer + '/js/version.json';
	},
	appDownloadUrl: function() {
		return appUpdate.appServer + '/download/ldrksystem.apk';
	},
	/**
	 * xhr 跨域请求方式
	 */
	xhrUpdate: function(callback) {
		var xhr = new plus.net.XMLHttpRequest();
		xhr.timeout = 4000;
		xhr.onreadystatechange = function() {
			switch(xhr.readyState) {
				case 4:
					if(xhr.status == 200) {
						var data = xhr.responseText;
						console.log(JSON.stringify(JSON.parse(data)));
						appUpdate.checkUpdate(data, callback);
					} else {
						mui.toast('检查更新失败！');
					}
					break;
				default:
					break;
			}
		}
		xhr.onerror = function() {
			mui.toast('检查更新失败,请检查网络！');
		};
		xhr.open("GET", appUpdate.updateServer());
		xhr.setRequestHeader('Content-Type', 'application/json');
		xhr.send();
	},

	/**
	 * 检查更新
	 * @param {Object} data
	 */
	checkUpdate: function(data, callback) {
		var json = JSON.parse(data),
			res = json[0],
			ov = plus.runtime.version,
			nv = res['version'],
			flag = appUpdate.compareVersion(ov, nv);
		if(!flag) return false;
		plus.nativeUI.confirm("更新说明：" + res['note'] + "\r\n\r\n" + "注：请立即更新程序，否则影响正常使用！", function(event) {
			if(0 == event.index) {
				plus.runtime.openURL(appUpdate.appDownloadUrl());
			}
		}, "更新提示", ["立即更新", "取　　消"]);

	},
	compareVersion: function(old_v, now_v) {
		var ovn = old_v.split('.', 3),
			nva = now_v.split('.', 3),
			flag = false;
		var v_old = ovn[0] + ovn[1] + ovn[2],
			v_new = nva[0] + nva[1] + nva[2];
		if(parseInt(v_new) > parseInt(v_old)) {
			flag = true;
		}
		return flag;
	}
};